#!/bin/bash

# Boot the emulated system to a shell prompt.

ARCH=m68k
run_emulator()
{
  [ ! -z "$DEBUG" ] && set -x
  qemu-system-m68k -M q800 -nographic -no-reboot -kernel vmlinux -hda hda.sqf -append "root=/dev/sda rw init=/sbin/init.sh panic=1 PATH=$DISTCC_PATH_PREFIX/bin:/sbin console=ttyS0 HOST=m68k $KERNEL_EXTRA" $QEMU_EXTRA
}

if [ "$1" != "--norun" ]
then
  run_emulator
fi
